{% extends "plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="{% url 'procesar_actualizacion_asignatura' %}" method="post" enctype="multipart/form-data">
      {% csrf_token %}
      <b>SELECCIONE EL CURSO:</b>
      <select class="form-control" name="curso_id" required>

          {% for curso in cursos %}
          <option value="{{ curso.idCursoSEDP }}">{{ curso.nivelCursoSEDP }}</option>
          {% endfor %}
      </select>
      <input type="hidden" name="id_asignatura" id="id_asignatura" value="{{ asignatura.idAsignaturaSEDP }}">
      <br>
      <b>NOMBRE</b>
      <input type="text" name="nombre" id="nombre"
      value="{{ asignatura.nombreAsignaturaSEDP }}" placeholder="Ingrese el nombre"
      class="form-control" required>
      <br>
      <b>CREDITO</b>
      <input type="number" name="credito" id="credito"
      value="{{ asignatura.creditoAsignaturaSEDP }}" placeholder="Ingrese los créditos"
      class="form-control" required>
      <br>
      <b>FECHA INICIO</b>
      <input type="date" name="fecha_inicio" id="fecha_inicio"
      value="{{ asignatura.fechaInicioAsignaturaSEDP|date:'Y-m-d' }}"
      class="form-control" required>
      <br>
      <b>FECHA FINALIZACIÓN</b>
      <input type="date" name="fecha_finalizacion" id="fecha_finalizacion"
      value="{{ asignatura.fechaFinalizacionAsignaturaSEDP|date:'Y-m-d' }}"
      class="form-control" required>
      <br>
      <b>PROFESOR</b>
      <input type="text" name="profesor" id="profesor"
      value="{{ asignatura.profesorAsignaturaSEDP }}" placeholder="Ingrese el nombre del profesor"
      class="form-control" required>
      <br>
      <b>SILABO</b>
      <br>
      {% if asignatura.silaboAsignaturaSEDP %}
      <a href="{{ asignatura.silaboAsignaturaSEDP.url }}" target="_blank">Descargar Documento Actual</a>
      <br>
      {% endif %}
      <input type="file" name="silabo" id="silabo" accept=".pdf">
      <br>
      <small>Seleccione otro documento si desea cambiarlo.</small>
      <br><br>
      <b>HORARIO</b>
      <input type="text" name="horario" id="horario"
      value="{{ asignatura.horarioAsignaturaSEDP }}" placeholder="Ingrese el horario"
      class="form-control" required>
      <br>
      <b>HORAS TOTAL</b>
      <input type="number" name="horas_total" id="horas_total"
      value="{{ asignatura.horasTotalAsignaturaSEDP }}" placeholder="Ingrese las horas totales"
      class="form-control" required>
      <script>
        $(document).ready(function () {
            $("#silabo").fileinput({
              //showUpload:false
              //showRemove: false,
              language:'es',
            });
        });
      </script>

      <br>
      <center>
        <button type="submit" name="button"
        class="btn btn-warning">
          &nbsp;&nbsp;&nbsp;Editar&nbsp;&nbsp;&nbsp;
        </button>&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="{% url 'listado_asignaturas' %}"
        class="btn btn-danger">
          Cancelar
        </a>
      </center>
    </form>
  </div>
</div>

<script type="text/javascript">
    $("#frm_nueva_asignatura").validate({
        rules: {
            "curso_id": {
                required: true
            },
            "nombre": {
                required: true
            },
            "credito": {
                required: true,
                number: true,
                min: 1 // Validación para asegurarse de que los créditos sean al menos 1
            },
            "fecha_inicio": {
                required: true,
                date: true, // Validación para asegurarse de que la fecha de inicio sea una fecha válida
                minDate: new Date() // Validación para asegurarse de que la fecha de inicio sea igual o posterior a la fecha actual
            },
            "fecha_finalizacion": {
                required: true,
                date: true,
                greaterThanStartDate: "#fecha_inicio" // Validación para asegurarse de que la fecha de finalización sea posterior a la fecha de inicio
            },
            "profesor": {
                required: true
            },
            "silabo": {
                required: true,
                accept: "application/pdf" // Validación para asegurarse de que el archivo seleccionado sea un PDF
            },
            "horario": {
                required: true
            },
            "horas_total": {
                required: true,
                number: true,
                min: 1
            }
        },
        messages: {
            "curso_id": {
                required: "Por favor seleccione el curso"
            },
            "nombre": {
                required: "Debe ingresar el nombre de la asignatura"
            },
            "credito": {
                required: "Debe ingresar los créditos de la asignatura",
                number: "Ingrese un valor numérico",
                min: "Los créditos deben ser al menos 1"
            },
            "fecha_inicio": {
                required: "Debe ingresar la fecha de inicio de la asignatura",
                date: "Ingrese una fecha válida",
                minDate: "La fecha de inicio debe ser igual o posterior a la fecha actual"
            },
            "fecha_finalizacion": {
                required: "Debe ingresar la fecha de finalización de la asignatura",
                date: "Ingrese una fecha válida",
                greaterThanStartDate: "La fecha de finalización debe ser posterior a la fecha de inicio"
            },
            "profesor": {
                required: "Debe ingresar el nombre del profesor"
            },
            "silabo": {
                required: "Debe seleccionar un archivo para el sílabo",
                accept: "El archivo debe ser en formato PDF"
            },
            "horario": {
                required: "Debe ingresar el horario de la asignatura"
            },
            "horas_total": {
                required: "Debe ingresar las horas totales de la asignatura",
                number: "Ingrese un valor numérico",
                min: "Las horas totales deben ser al menos 1"
            }
        }
    });

    // Función personalizada para validar que la fecha de finalización sea posterior a la fecha de inicio
    $.validator.addMethod("greaterThanStartDate", function(value, element, params) {
        var startDate = $(params).val();
        return value > startDate;
    }, "La fecha de finalización debe ser posterior a la fecha de inicio");
</script>
{% endblock %}
